Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.algorithms.implementations
Class SignatureECDSA.SignatureECDSASHA512

    java.lang.Object
      org.apache.xml.security.algorithms.SignatureAlgorithmSpi
          org.apache.xml.security.algorithms.implementations.SignatureECDSA
              org.apache.xml.security.algorithms.implementations.SignatureECDSA.SignatureECDSASHA512

Enclosing class:
  SignatureECDSA

    public static class SignatureECDSA.SignatureECDSASHA512

extends SignatureECDSA

Class SignatureECDSASHA512

Author:
  Alex Dupre

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xml.security.algorithms.implementations.SignatureECDSA
`SignatureECDSA.SignatureECDSASHA1, SignatureECDSA.SignatureECDSASHA224, SignatureECDSA.SignatureECDSASHA256, SignatureECDSA.SignatureECDSASHA384, SignatureECDSA.SignatureECDSASHA512`

Constructor Summary
`SignatureECDSA.SignatureECDSASHA512()` Constructor SignatureECDSASHA512

Method Summary
`java.lang.String` | `engineGetURI()` Returns the URI representation of `Transformation algorithm`

Methods inherited from class org.apache.xml.security.algorithms.implementations.SignatureECDSA
`convertASN1toXMLDSIG, convertXMLDSIGtoASN1, engineGetJCEAlgorithmString, engineGetJCEProviderName, engineInitSign, engineInitSign, engineInitSign, engineInitVerify, engineSetHMACOutputLength, engineSetParameter, engineSign, engineUpdate, engineUpdate, engineUpdate, engineVerify`

Methods inherited from class org.apache.xml.security.algorithms.SignatureAlgorithmSpi
`engineGetContextFromElement, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureECDSA.SignatureECDSASHA512

    public SignatureECDSA.SignatureECDSASHA512()
                                        throws XMLSignatureException

  Constructor SignatureECDSASHA512

  Throws:
    `XMLSignatureException`

Method Detail

### engineGetURI

    public java.lang.String engineGetURI()

  Description copied from class: `SignatureAlgorithmSpi`
  Returns the URI representation of `Transformation algorithm`

  Specified by:
    `engineGetURI` in class `SignatureECDSA`
  Returns:
    the URI representation of `Transformation algorithm`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD